# $log.file

Returns the current log filename

Syntax

    $log.file
    $log.file(<window id>)

Description
The form with the <window id> parameter returns the log file name of the window that has the specified id. If logging is not enabled in the specified window, this function returns an empty string. The form without parameters returns the log file name of the current window, thus it is equivalent to calling $log.file($window)
Examples

    log mylogfilename.log
    echo $log
    echo $log($console)

See also
$window, log.start, log.stop, window naming conventions documentation

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Mon Mar 13 07:05:21 2006